View Issue Details

IDProjectCategoryView StatusLast Update
0004507Talerdeployment and operationspublic2016-10-11 17:28
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004507: automation in blue-green environment
DescriptionGiven a blue-green deployment model, pull code and run testcases within the non active color and switch color whenever the testcase runs successfully
TagsNo tags attached.

Activities

Marcello Stanisci

2016-05-22 20:48

manager   ~0010703

along with this feature, buildbot (master, which should trigger the automated switch) should be really run inside a container

Marcello Stanisci

2016-06-04 01:40

manager   ~0010856

buildbot does the switching. The shell scripts invoked needed some absolute paths for commands they used to call, but that should be (easily?) fixed by passing the 'path' option in the 'addStep' statement.

Marcello Stanisci

2016-06-17 17:50

manager   ~0010908

the issue and the other minor thing about PATH have both been fixed. Wrapping buildbot inside docker requires non trivial planning and does not prperly belong to this issue; therefore IMO that can be closed

Issue History

Date Modified Username Field Change
2016-05-19 13:45 Marcello Stanisci New Issue
2016-05-19 13:45 Marcello Stanisci Assigned To => Marcello Stanisci
2016-05-19 13:45 Marcello Stanisci Status new => assigned
2016-05-20 15:27 Christian Grothoff Severity minor => tweak
2016-05-22 20:48 Marcello Stanisci Note Added: 0010703
2016-06-04 01:40 Marcello Stanisci Note Added: 0010856
2016-06-11 21:58 Christian Grothoff Product Version => 0.0
2016-06-11 21:58 Christian Grothoff Target Version => 0.1
2016-06-17 17:50 Marcello Stanisci Note Added: 0010908
2016-06-17 17:50 Marcello Stanisci Status assigned => resolved
2016-06-17 17:50 Marcello Stanisci Resolution open => fixed
2016-09-26 13:52 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed